Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class Options

    java.lang.Object
      oracle.ifs.fdk.Options

    public class Options

extends java.lang.Object

Holder class for all option name constants.

Field Summary
`static java.lang.String` | `AUDIT_EVENT_AGGREGATE_INNER_COLUMN_LIST` Aggregate AuditEvent search option for the set of inner columns to select from, instead of simply selecting from the event table itself.
`static java.lang.String` | `AUDIT_HISTORY_CUSTOM_ID` Event search option specifying the ID of the custom Audit History to search when the `AUDIT_HISTORY_TYPE` option is set to `FdkConstants.AUDIT_HISTORY_CUSTOM`.
`static java.lang.String` | `AUDIT_HISTORY_ITEM_TARGET_ID` Event search option specifying the ID of the target Item when searching from the Item Audit History; used when the `AUDIT_HISTORY_TYPE` option is set to `FdkConstants.AUDIT_HISTORY_ITEM`.
`static java.lang.String` | `AUDIT_HISTORY_TYPE` Event search option specifying the type of Audit History from which to search.
`static java.lang.String` | `AUDIT_TYPE_ENTRY_INCLUDE_NESTED` Option used to indicate that AuditTypeEntries for Item types that are nested under the Item type specified by the `AUDIT_TYPE_ENTRY_ITEM_TYPE` option should also be returned by `AuditManager.getAuditTypeEntries()`.
`static java.lang.String` | `AUDIT_TYPE_ENTRY_ITEM_TYPE` Option to specify the Item type used to filter the list of AuditTypeEntries returned by `AuditManager.getAuditTypeEntries()`.
`static java.lang.String` | `AUDIT_TYPE_ENTRY_SUCCESS_MODE` Option used to specify the success mode used to filter the list of AuditTypeEntries returned by `AuditManager.getAuditTypeEntries()`.
`static java.lang.String` | `AUDIT_TYPE_LIST_ID` Option that provides a existing audit type list id when fetching audit entry types.
`static java.lang.String` | `AUDIT_TYPES` An option describing the Audit Types.
`static java.lang.String` | `AUTO_FOLDERING_ACTION_SPECIFICATION` Specification for auto foldering operations such as document creation.
`static java.lang.String` | `BODY` The body of an e-mail message.
`static java.lang.String` | `CATEGORY_CLASS_ID` The category class id used in the category definition option passed for enforced categorization.
`static java.lang.String` | `CATEGORY_DEFINITION` The category definition is used to create or update custom categories on documents.
`static java.lang.String` | `CATEGORY_DEFINITION_ATTRIBUTES` The category attributes passed as part of document creation or update.
`static java.lang.String` | `CATEGORY_ID` Deprecated. use OPT.CATEGORY_CLASS_ID
`static java.lang.String` | `CONTENTSTREAM` Content Stream option for passing an InputStream.
`static java.lang.String` | `COPY_TARGET_NAME` Deprecated. Create a copy of the document first and then recordize using `RecordsManager.makeRecord()`.
`static java.lang.String` | `DATE_COMP_LEVEL` Specifies the precision used for date comparisons in date search criteria.
`static java.lang.String` | `DEFINITION_EXPIRATION_TIME` Option for defining expiration time (in seconds) of document definition object.
`static java.lang.String` | `DELETE_ALL_LIFECYCLE_POLICY_ENTRIES` A boolean option to specify whether the retreived object should be resolved or not.
`static java.lang.String` | `DELETED_BY` The user that deleted an item in the Archive.
`static java.lang.String` | `DELETED_DATE` The date on which an item in the Archive was deleted.
`static java.lang.String` | `DESTFOLDER` Destination folder option for move, copy operations.
`static java.lang.String` | `END_DATE` An option to specify the end date for situations where a time period can be requested.
`static java.lang.String` | `EVENT_AUXILIARY_ITEM_IDS` IDs of the auxiliary objects associated with the AuditEvent.
`static java.lang.String` | `EVENT_AUXILIARY_NUMBER` The auxiliary Number associated with the AuditEvent.
`static java.lang.String` | `EVENT_AUXILIARY_STRING` The auxiliary String associated with the AuditEvent.
`static java.lang.String` | `EVENT_FILTER_APPLICATION_CONTEXT` AuditEvent search option to restrict Events to those matching specified application context.
`static java.lang.String` | `EVENT_FILTER_APPLICATION_USER` AuditEvent search option to restrict Events to those matching specified application user.
`static java.lang.String` | `EVENT_FILTER_AUXILIARY_NUMBER` AuditEvent search option to restrict Events to those matching specified auxiliary number.
`static java.lang.String` | `EVENT_FILTER_AUXILIARY_STRING` AuditEvent search option to restrict Events to those matching specified auxiliary string.
`static java.lang.String` | `EVENT_FILTER_CREATORS` Event search option for the set of Creator IDs to include.
`static java.lang.String` | `EVENT_FILTER_END_DATE` Event search option for the ending Date of a Date range.
`static java.lang.String` | `EVENT_FILTER_END_ID` Event search option for the ending ID of an ID range.
`static java.lang.String` | `EVENT_FILTER_OPERATION_TYPES` Event search option for the set of Operation Types to include.
`static java.lang.String` | `EVENT_FILTER_RESULT_SIZE_LIMIT` Event search option specifying the size limit for the results of the query.
`static java.lang.String` | `EVENT_FILTER_START_DATE` Event search option for the starting Date of a Date range.
`static java.lang.String` | `EVENT_FILTER_START_ID` Event search option for the starting ID of an ID range.
`static java.lang.String` | `EVENT_FILTER_SUCCESS` AuditEvent search option for whether to include Events representing successful operations.
`static java.lang.String` | `EVENT_FILTER_TARGETS` Event search option for the set of Target IDs to include.
`static java.lang.String` | `EVENT_PROPERTIES` The properties associated with the AuditEvent.
`static java.lang.String` | `EXTERNAL_RECORD_DEFINITION` The external record definition is used in the record definition to allow external content being recordized.
`static java.lang.String` | `FILTER_BY_GUARD_SECURITY` Option for filtering out FilePlan, RecordSeries, RecordFolder or RecordCategory based on the guard security.
`static java.lang.String` | `FOLDER_RESTRICT_TO_DOMAIN` Option for whether the search should be folder restricted to the domain if no folder restriction is specified.
`static java.lang.String` | `FOLDER_RESTRICTION` Option for specifying that a search should be restricted to the specified FOLDER or FOLDERs.
`static java.lang.String` | `HAS_MANAGER` An option describing groups that have the specified user as a manager.
`static java.lang.String` | `HAS_MEMBER` An option describing groups that have the specified user as a member.
`static java.lang.String` | `IS_MANAGER_OF` An option describing groups that have the requesting user as a manager.
`static java.lang.String` | `IS_MEMBER_OF` An option describing groups that have the requesting user as a member.
`static java.lang.String` | `LINK_TO_LATEST` Option for createLink and updateLink to specify to link to latest version of a version-controlled document.
`static java.lang.String` | `MAX_RESULTS` The maximum number of results to be returned.
`static java.lang.String` | `MEDIA_OPTIONS` Media options to be passed to the underlying storage implementation.
`static java.lang.String` | `MULTILEVEL_FOLDER_RESTRICTION` Option for whether a folder restricted search limits the search to just the specified folder (false), or the specfied folder and all sub-folders (true).
`static java.lang.String` | `NEWVERSION` Conflict resolution option to specify new version.
`static java.lang.String` | `OPERATION` Name of the previously performed operation while obtaining conflict resolution options.
`static java.lang.String` | `ORIGINAL_LOCATION` The original location of an item in the Archive.
`static java.lang.String` | `OVERWRITE` Conflict resolution option to specify overwrite.
`static java.lang.String` | `PAGE_SIZE` The number of items to retrieve from the stored paging list.
`static java.lang.String` | `PAGING_LIST` The list of items to be stored in the FdkSession for paging purposes.
`static java.lang.String` | `PRIMARY_SORT_ATTRIBUTE` The primary FDK attribute on which to sort.
`static java.lang.String` | `PRIMARY_SORT_DIRECTION` The direction in which to sort the primary FDK attribute.
`static java.lang.String` | `QUOTA_INCREMENT` Increment in the storage quota that is requested.
`static java.lang.String` | `RECORD_CATEGORY_ID` The record category id used in the record definition option passed for enforced recordization.
`static java.lang.String` | `RECORD_DEFINITION` An array of size two that contains the record category id and an array of the record definition attributes.
`static java.lang.String` | `RECORD_DEFINITION_ATTRIBUTES` The record attributes passed as part of document creation or update.
`static java.lang.String` | `REMOVE_CATEGORY_ID` The id of a category to be removed from a document.
`static java.lang.String` | `REMOVE_NON_ALLOWED_CATEGORIES` Deprecated. allowed categories are no longer enforced; option has no effect
`static java.lang.String` | `REQUEST_CREATED_COMPARISON_OPERATOR` Option for specifing the comparison operation on searches on RequestManager.
`static java.lang.String` | `REQUEST_DEFINITION_CONTENT_DEFINITION_NAME` Option to use for retrieving content definition from document definition of saved document definition of request target definition.
`static java.lang.String` | `REQUEST_DEFINITION_DOCUMENT_DEFINITION_NAME` Option to use for retrieving document definition from saved document definition of request target definition.
`static java.lang.String` | `REQUEST_DEFINITION_DOCUMENT_DESCRIPTION` Option to use for retrieving createDocument description from saved document definition request target definition.
`static java.lang.String` | `REQUEST_DEFINITION_DOCUMENT_NAME` Option to use for retrieving createDocument name from saved document definition of request target definition.
`static java.lang.String` | `REQUEST_JUSTIFICATION` Option for passing a justification to the request restore from Archive operation.
`static java.lang.String` | `RESOLVE_OBJECTS` A boolean option to specify whether the retreived object should be resolved or not.
`static java.lang.String` | `RESPECT_NULL_RESOURCE_LOCKS` "Respect Null resource locks" option for create, move, and copy operations.
`static java.lang.String` | `RESPONDER_COMMENT` Responder's Comment while approving Workflow Requests.
`static java.lang.String` | `RESTORE_LOCATION` The location to which to restore an item in the Archive.
`static java.lang.String` | `RETURN_COUNT` The maximum number of items to be returned when the method can return multiple items.
`static java.lang.String` | `RETURN_FROM` The index of the first item to be returned when the method can return multiple items.
`static java.lang.String` | `RETURN_TIME` The maximum time, in milliseconds, allowed to wait for a search to complete.
`static java.lang.String` | `RUN_ASYNC` Whether or not the operation should be run asynchronously (by a background process).
`static java.lang.String` | `SEARCH_ARCHIVE_DELETED_RANGE` Option for a date range to restrict an archive search to files deleted during the specified date range.
`static java.lang.String` | `SEARCH_ARCHIVE_FOR_WORKSPACE` Option for a workspace name to restrict an archive search to files deleted from the specified workspace.
`static java.lang.String` | `SEARCH_DISTINCT` The key used to indicate if a distinct search is required
`static java.lang.String` | `SEARCH_FOR_DOCUMENTS` Option for whether documents and links should be returned by the search.
`static java.lang.String` | `SEARCH_FOR_FOLDERS` Option for whether folders should be returned by the search.
`static java.lang.String` | `SEARCH_LANGUAGE` The language used for parsing the content search criteria.
`static java.lang.String` | `SEARCH_PROPERTY_DISPLAY_NAME` The display name of a search property.
`static java.lang.String` | `SEARCH_PROPERTY_LOV` List of values if the search property is enumerated.
`static java.lang.String` | `SEARCH_PROPERTY_NAME` The name of a search property.
`static java.lang.String` | `SEARCH_PROPERTY_SEARCHABLE` Whether the search property is searchable or not.
`static java.lang.String` | `SEARCH_PROPERTY_SELECTABLE` Whether the search property is selectable or not.
`static java.lang.String` | `SEARCH_PROPERTY_SORTABLE` Whether the search property is sortable or not.
`static java.lang.String` | `SEARCH_PROPERTY_TYPE` The data type of a search property.
`static java.lang.String` | `SEARCH_RECORDS` Option for whether the search is a search for records instead of documents.
`static java.lang.String` | `SEARCH_RECORDS_CLASSNAME` Option for the record category classname for the type of records to search.
`static java.lang.String` | `SEARCH_RESULT_COUNT` Estimate of total number of search results.
`static java.lang.String` | `SEARCH_RESULTS` Array of items representing the search results.
`static java.lang.String` | `SEARCH_STATEMENT_KEY` The key used for caching of a prepared statement
`static java.lang.String` | `SEARCH_TEXT_SCORES` Array of ints representing the text search result scores.
`static java.lang.String` | `SEARCH_VERSION_HISTORY` Option for whether previous document versions should be included in the search.
`static java.lang.String` | `SECONDARY_SORT_ATTRIBUTE` The secondary FDK attribute on which to sort.
`static java.lang.String` | `SECONDARY_SORT_DIRECTION` The direction in which to sort the secondary FDK attribute.
`static java.lang.String` | `START_DATE` An option to specify the start date for situations where a time period can be requested.
`static java.lang.String` | `STARTING_INDEX` The index of the stored paging list where a requested page should start.
`static java.lang.String` | `STARTING_ROW` The starting row index.
`static java.lang.String` | `SUBJECT` The subject of an e-mail message.
`static java.lang.String` | `TABLE_NAME` The tablename on which to store a sorting preference.
`static java.lang.String` | `UNIQUENAME` Conflict resolution option to specify create unique name.
`static java.lang.String` | `UPDATE_CATEGORY_ID` The id of an existing category instance.
`static java.lang.String` | `USE_DEFAULT_NAME` "Use default name" option for creating new items.
`static java.lang.String` | `USE_SAVED_DEFINITION` Option for createDocument to specify saved document definition (value should be set to ID of saved definition).
`static java.lang.String` | `USER_ATTRIBUTE_DISTINGUISHEDNAME` The Credential Manager user's distinguished name attribute.
`static java.lang.String` | `USER_ATTRIBUTE_REALM` The Credential Manager user's realm attribute.
`static java.lang.String` | `VERSION_ON_CATEGORY_OPERATION` Specifies whether the category operations on an existing document should cause a new version of the document to be created.
`static java.lang.String` | `WORKFLOW_CONFIGURATION_DEFINITION` The String used to set workflow configurations on newly created workspaces.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RUN_ASYNC

    public static final java.lang.String RUN_ASYNC

  Description copied from class: `Options`
  Whether or not the operation should be run asynchronously (by a background process). Useful for long-running operations that support being run in the background, such as `SecurityManager.changeSecurity()`.

  Name: OPT.RUN_ASYNC
  Data Type: Boolean

  See Also:
    Constant Field Values

### CONTENTSTREAM

    public static final java.lang.String CONTENTSTREAM

  Description copied from class: `Options`
  Content Stream option for passing an InputStream.

  Name: OPT.CONTENTSTREAM
  Data Type: java.io.InputStream

  See Also:
    Constant Field Values

### MEDIA_OPTIONS

    public static final java.lang.String MEDIA_OPTIONS

  Description copied from class: `Options`
  Media options to be passed to the underlying storage implementation.

  Name: OPT.MEDIA_OPTIONS
  Data Type: NamedValue[]

  See Also:
    `FdkConstants.MEDIA_OPTION_RELATIVE_PATH`, `FdkConstants.MEDIA_OPTION_FILENAME`, Constant Field Values

### DESTFOLDER

    public static final java.lang.String DESTFOLDER

  Description copied from class: `Options`
  Destination folder option for move, copy operations.

  Name: OPT.DESTFOLDER
  Data Type: Long

  See Also:
    Constant Field Values

### AUTO_FOLDERING_ACTION_SPECIFICATION

    public static final java.lang.String AUTO_FOLDERING_ACTION_SPECIFICATION

  Description copied from class: `Options`
  Specification for auto foldering operations such as document creation. The value is the name of the registered specification to use.

  Name: OPT.AUTO_FOLDERING_ACTION_SPECIFICATION
  Data Type: String

  See Also:
    Constant Field Values

### USE_DEFAULT_NAME

    public static final java.lang.String USE_DEFAULT_NAME

  Description copied from class: `Options`
  "Use default name" option for creating new items.

  Name: OPT.USE_DEFAULT_NAME
  Data Type: Boolean

  See Also:
    Constant Field Values

### RESPECT_NULL_RESOURCE_LOCKS

    public static final java.lang.String RESPECT_NULL_RESOURCE_LOCKS

  Description copied from class: `Options`
  "Respect Null resource locks" option for create, move, and copy operations.

  Name: OPT.RESPECT_NULL_RESOURCE_LOCKS
  Data Type: Boolean

  See Also:
    Constant Field Values

### USE_SAVED_DEFINITION

    public static final java.lang.String USE_SAVED_DEFINITION

  Description copied from class: `Options`
  Option for createDocument to specify saved document definition (value should be set to ID of saved definition).

  Name: OPT.USE_SAVED_DEFINITION
  Data Type: Long

  See Also:
    Constant Field Values

### LINK_TO_LATEST

    public static final java.lang.String LINK_TO_LATEST

  Description copied from class: `Options`
  Option for createLink and updateLink to specify to link to latest version of a version-controlled document.

  Name: OPT.LINK_TO_LATEST
  Data Type: Boolean

  See Also:
    Constant Field Values

### COPY_TARGET_NAME

    public static final java.lang.String COPY_TARGET_NAME

  Deprecated. Create a copy of the document first and then recordize using `RecordsManager.makeRecord()`.
  Description copied from class: `Options`
  Name of target, if copy is to be made upon recordization.

  Name: OPT.COPY_TARGET_NAME
  Data Type: String

  See Also:
    Constant Field Values
  (Unpublished)

### DELETE_ALL_LIFECYCLE_POLICY_ENTRIES

    public static final java.lang.String DELETE_ALL_LIFECYCLE_POLICY_ENTRIES

  Description copied from class: `Options`
  A boolean option to specify whether the retreived object should be resolved or not.

  Name: OPT.DELETE_ALL_LIFECYCLE_POLICY_ENTRIES

  Data Type: Boolean

  See Also:
    Constant Field Values

### WORKFLOW_CONFIGURATION_DEFINITION

    public static final java.lang.String WORKFLOW_CONFIGURATION_DEFINITION

  Description copied from class: `Options`
  The String used to set workflow configurations on newly created workspaces.

  Name: OPT.WORKFLOW_CONFIGURATION_DEFINITION
  Data Type: NamedValue[]

  See Also:
    Constant Field Values

### RECORD_DEFINITION

    public static final java.lang.String RECORD_DEFINITION

  Description copied from class: `Options`
  An array of size two that contains the record category id and an array of the record definition attributes. These are passed as part of document creation or update. This is also used by enforced recordization. For example:

       NamedValue[] recordDefs = new NamedValue[] {
         new NamedValue(Options.RECORD_CATEGORY_ID,
           new Long(m_RecordCategory.getId())),
         new NamedValue(Options.RECORD_DEFINITION_ATTRIBUTES,
           new NamedValue[] {
             new NamedValue(Attributes.NAME, "Sample Record"),
               new NamedValue(Attributes.DESCRIPTION,
                 "Sample record created through enforced recordization")
           }
         )
       };

       NamedValue[] docdef = new NamedValue[] {
         new NamedValue(Options.RECORD_DEFINITION, recordDefs)
         // other DocumentDefinition attributes
       };

  Name: OPT.RECORD_DEFINITION
  Data Type: NamedValue[]

  See Also:
    Constant Field Values
  (Unpublished)

### RECORD_DEFINITION_ATTRIBUTES

    public static final java.lang.String RECORD_DEFINITION_ATTRIBUTES

  Description copied from class: `Options`
  The record attributes passed as part of document creation or update. This is used by enforced recordization and is set as an option as part of the `RECORD_DEFINITION` array.

  Name: OPT.RECORD_DEFINITION_ATTRIBUTES
  Data Type: NamedValue[]

  See Also:
    Constant Field Values
  (Unpublished)

### RECORD_CATEGORY_ID

    public static final java.lang.String RECORD_CATEGORY_ID

  Description copied from class: `Options`
  The record category id used in the record definition option passed for enforced recordization. This is set as an option as part of the RECORD_DEFINITION array.

  Name: OPT.RECORD_CATEGORY_ID
  Data Type: Long

  See Also:
    Constant Field Values
  (Unpublished)

### EXTERNAL_RECORD_DEFINITION

    public static final java.lang.String EXTERNAL_RECORD_DEFINITION

  Description copied from class: `Options`
  The external record definition is used in the record definition to allow external content being recordized.

  Name: OPT.EXTERNAL_RECORD_DEFINITION
  Data Type: NamedValue[]

  See Also:
    Constant Field Values
  (Unpublished)

### UPDATE_CATEGORY_ID

    public static final java.lang.String UPDATE_CATEGORY_ID

  Description copied from class: `Options`
  The id of an existing category instance. Used in the category definition option passed for enforced categorization. This is set as an option as part of the CATEGORY_DEFINITION array.

  Name: OPT.UPDATE_CATEGORY_ID
  Data Type: Long

  See Also:
    Constant Field Values

### CATEGORY_CLASS_ID

    public static final java.lang.String CATEGORY_CLASS_ID

  Description copied from class: `Options`
  The category class id used in the category definition option passed for enforced categorization. This is set as an option as part of the CATEGORY_DEFINITION array.

  Name: OPT.CATEGORY_CLASS_ID
  Data Type: Long

  See Also:
    Constant Field Values

### CATEGORY_DEFINITION

    public static final java.lang.String CATEGORY_DEFINITION

  Description copied from class: `Options`
  The category definition is used to create or update custom categories on documents. For example:
  `

       NamedValue[] newcatdef = new NamedValue[] {
         new NamedValue(Options.CATEGORY_CLASS_ID, categoryClassID),
         new NamedValue(Options.CATEGORY_DEFINITION_ATTRIBUTES,
           new NamedValue[] {
              new NamedValue("CUSTOM_Attribute1", "Value One"),
              new NamedValue("CUSTOM_Attribute2", new Integer(15))
           }
         )
       };

       NamedValue[] updatecatdef = new NamedValue[] {
         new NamedValue(Options.UPDATE_CATEGORY_ID, existingCategoryID),
         new NamedValue(Options.CATEGORY_DEFINITION_ATTRIBUTES,
           new NamedValue[] {
              new NamedValue("CUSTOM_Attribute1", "Value One"),
              new NamedValue("CUSTOM_Attribute2", new Integer(15))
           }
         )
       };

       NamedValue[] docdef = new NamedValue[] {
         new NamedValue(Options.CATEGORY_DEFINITION, newcatdef),
         new NamedValue(Options.CATEGORY_DEFINITION, updatecatdef),
         Other DocumentDefinition attributes
       };

  `

  Name: OPT.CATEGORY_DEFINITION
  Data Type: NamedValue[]

  See Also:
    Constant Field Values

### VERSION_ON_CATEGORY_OPERATION

    public static final java.lang.String VERSION_ON_CATEGORY_OPERATION

  Description copied from class: `Options`
  Specifies whether the category operations on an existing document should cause a new version of the document to be created.

  The default for this is true.

  Note, this option applies only to category operations. Other factors, such as also specifying document content, could cause a new version to be created even when this option is set to false.

  Name: OPT.VERSION_ON_CATEGORY_OPERATION
  Data Type: Boolean

  See Also:
    Constant Field Values

### CATEGORY_ID

    public static final java.lang.String CATEGORY_ID

  Deprecated. use OPT.CATEGORY_CLASS_ID
  Description copied from class: `Options`
  Name: OPT.CATEGORY_ID
  Data Type: Long

  See Also:
    Constant Field Values

### CATEGORY_DEFINITION_ATTRIBUTES

    public static final java.lang.String CATEGORY_DEFINITION_ATTRIBUTES

  Description copied from class: `Options`
  The category attributes passed as part of document creation or update. This is set as an option as part of the `CATEGORY_DEFINITION` array.

  Name: OPT.CATEGORY_DEFINITION_ATTRIBUTES
  Data Type: NamedValue[]

  See Also:
    Constant Field Values

### REMOVE_CATEGORY_ID

    public static final java.lang.String REMOVE_CATEGORY_ID

  Description copied from class: `Options`
  The id of a category to be removed from a document.

  Name: OPT.REMOVE_CATEGORY_ID
  Data Type: Long

  See Also:
    Constant Field Values

### USER_ATTRIBUTE_DISTINGUISHEDNAME

    public static final java.lang.String USER_ATTRIBUTE_DISTINGUISHEDNAME

  Description copied from class: `Options`
  The Credential Manager user's distinguished name attribute. It can be passed as an option to be searched for.

  Name: OPT.USER_ATTRIBUTE_DISTINGUISHEDNAME
  Data Type: String

  See Also:
    Constant Field Values

### USER_ATTRIBUTE_REALM

    public static final java.lang.String USER_ATTRIBUTE_REALM

  Description copied from class: `Options`
  The Credential Manager user's realm attribute. It can be passed in as an option to be searched for.

  Name: OPT.USER_ATTRIBUTE_NAME
  Data Type: String

  See Also:
    Constant Field Values

### RETURN_TIME

    public static final java.lang.String RETURN_TIME

  Description copied from class: `Options`
  The maximum time, in milliseconds, allowed to wait for a search to complete.

  Name: OPT.RETURN_TIME
  Data Type: Integer

  See Also:
    Constant Field Values

### TABLE_NAME

    public static final java.lang.String TABLE_NAME

  Description copied from class: `Options`
  The tablename on which to store a sorting preference. Tables that should have different preferences must specify unique tablenames.

  Name: OPT.TABLE_NAME
  Data Type: String

  See Also:
    Constant Field Values

### PRIMARY_SORT_ATTRIBUTE

    public static final java.lang.String PRIMARY_SORT_ATTRIBUTE

  Description copied from class: `Options`
  The primary FDK attribute on which to sort. Values must be valid Strings in Attributes.java.

  Name: OPT.PRIMARY_SORT_ATTRIBUTE
  Data Type: String

  See Also:
    Constant Field Values

### SECONDARY_SORT_ATTRIBUTE

    public static final java.lang.String SECONDARY_SORT_ATTRIBUTE

  Description copied from class: `Options`
  The secondary FDK attribute on which to sort. Values must be valid Strings in Attributes.java.

  Name: OPT.SECONDARY_SORT_ATTRIBUTE
  Data Type: String

  See Also:
    Constant Field Values

### PRIMARY_SORT_DIRECTION

    public static final java.lang.String PRIMARY_SORT_DIRECTION

  Description copied from class: `Options`
  The direction in which to sort the primary FDK attribute.

  Name: OPT.PRIMARY_SORT_DIRECTION
  Data Type: String

  See Also:
    Constant Field Values

### SECONDARY_SORT_DIRECTION

    public static final java.lang.String SECONDARY_SORT_DIRECTION

  Description copied from class: `Options`
  The direction in which to sort the secondary FDK attribute.

  Name: OPT.SECONDARY_SORT_DIRECTION
  Data Type: String

  See Also:
    Constant Field Values

### PAGING_LIST

    public static final java.lang.String PAGING_LIST

  Description copied from class: `Options`
  The list of items to be stored in the FdkSession for paging purposes.

  Name: OPT.PAGING_LIST
  Data Type: Long[]

  See Also:
    Constant Field Values

### STARTING_INDEX

    public static final java.lang.String STARTING_INDEX

  Description copied from class: `Options`
  The index of the stored paging list where a requested page should start.

  Name: OPT.STARTING_INDEX
  Data Type: Long[]

  See Also:
    Constant Field Values

### PAGE_SIZE

    public static final java.lang.String PAGE_SIZE

  Description copied from class: `Options`
  The number of items to retrieve from the stored paging list.

  Name: OPT.PAGE_SIZE
  Data Type: Long[]

  See Also:
    Constant Field Values

### HAS_MEMBER

    public static final java.lang.String HAS_MEMBER

  Description copied from class: `Options`
  An option describing groups that have the specified user as a member.

  Name: OPT.HAS_MEMBER
  Data Type: Long

  See Also:
    Constant Field Values

### HAS_MANAGER

    public static final java.lang.String HAS_MANAGER

  Description copied from class: `Options`
  An option describing groups that have the specified user as a manager.

  Name: OPT.HAS_MANAGER
  Data Type: Long

  See Also:
    Constant Field Values

### SUBJECT

    public static final java.lang.String SUBJECT

  Description copied from class: `Options`
  The subject of an e-mail message.

  Name: OPT.SUBJECT

  Data Type: String

  See Also:
    Constant Field Values

### BODY

    public static final java.lang.String BODY

  Description copied from class: `Options`
  The body of an e-mail message.

  Name: OPT.BODY

  Data Type: String

  See Also:
    Constant Field Values

### DELETED_DATE

    public static final java.lang.String DELETED_DATE

  Description copied from class: `Options`
  The date on which an item in the Archive was deleted.

  Name: OPT.DELETED_DATE

  Data Type: java.util.Date

  See Also:
    Constant Field Values

### DELETED_BY

    public static final java.lang.String DELETED_BY

  Description copied from class: `Options`
  The user that deleted an item in the Archive.

  Name: OPT.DELETED_BY

  Data Type: Item (USER)

  See Also:
    Constant Field Values

### ORIGINAL_LOCATION

    public static final java.lang.String ORIGINAL_LOCATION

  Description copied from class: `Options`
  The original location of an item in the Archive.

  Name: OPT.ORIGINAL_LOCATION

  Data Type: Item (FOLDER)

  See Also:
    Constant Field Values

### RESTORE_LOCATION

    public static final java.lang.String RESTORE_LOCATION

  Description copied from class: `Options`
  The location to which to restore an item in the Archive.

  Name: OPT.RESTORE_LOCATION

  Data Type: Item (USER)

  See Also:
    Constant Field Values

### RESOLVE_OBJECTS

    public static final java.lang.String RESOLVE_OBJECTS

  Description copied from class: `Options`
  A boolean option to specify whether the retreived object should be resolved or not.

  Name: OPT.RESOLVE_OBJECTS

  Data Type: Boolean

  See Also:
    Constant Field Values

### START_DATE

    public static final java.lang.String START_DATE

  Description copied from class: `Options`
  An option to specify the start date for situations where a time period can be requested.

  Name: OPT.START_DATE

  Data Type: Date

  See Also:
    Constant Field Values

### END_DATE

    public static final java.lang.String END_DATE

  Description copied from class: `Options`
  An option to specify the end date for situations where a time period can be requested.

  Name: OPT.END_DATE

  Data Type: Boolean

  See Also:
    Constant Field Values

### REQUEST_JUSTIFICATION

    public static final java.lang.String REQUEST_JUSTIFICATION

  Description copied from class: `Options`
  Option for passing a justification to the request restore from Archive operation.

  Name: OPT.REQUEST_JUSTIFICATION

  Data Type: String

  See Also:
    Constant Field Values

### REQUEST_CREATED_COMPARISON_OPERATOR

    public static final java.lang.String REQUEST_CREATED_COMPARISON_OPERATOR

  Description copied from class: `Options`
  Option for specifing the comparison operation on searches on RequestManager. Valid values: 0 - to specify searches before given date 1 - to specify searches after given date 2 - to specify searches on given date Defaults to searches after given date (1).

  Name: OPT.REQUEST_CREATED_COMPARISON_OPERATOR

  Data Type: Integer

  See Also:
    Constant Field Values

### REQUEST_DEFINITION_DOCUMENT_NAME

    public static final java.lang.String REQUEST_DEFINITION_DOCUMENT_NAME

  Description copied from class: `Options`
  Option to use for retrieving createDocument name from saved document definition of request target definition.

  Name: IFS.ATTRIBUTES.NAME
  Data Type: String

  See Also:
    Constant Field Values

### REQUEST_DEFINITION_DOCUMENT_DESCRIPTION

    public static final java.lang.String REQUEST_DEFINITION_DOCUMENT_DESCRIPTION

  Description copied from class: `Options`
  Option to use for retrieving createDocument description from saved document definition request target definition.

  Name: IFS.ATTRIBUTES.DESCRIPTION
  Data Type: String

  See Also:
    Constant Field Values

### REQUEST_DEFINITION_DOCUMENT_DEFINITION_NAME

    public static final java.lang.String REQUEST_DEFINITION_DOCUMENT_DEFINITION_NAME

  Description copied from class: `Options`
  Option to use for retrieving document definition from saved document definition of request target definition.

  Name: IFS.DEFINITIONS.IFS.DocumentDefinition.ContentObjectDef
  Data Type: String

  See Also:
    Constant Field Values

### REQUEST_DEFINITION_CONTENT_DEFINITION_NAME

    public static final java.lang.String REQUEST_DEFINITION_CONTENT_DEFINITION_NAME

  Description copied from class: `Options`
  Option to use for retrieving content definition from document definition of saved document definition of request target definition.

  Name: IFS.CONTENTSPECS.IFS.ContentObjectDefinition.Content
  Data Type: String

  See Also:
    Constant Field Values

### FOLDER_RESTRICTION

    public static final java.lang.String FOLDER_RESTRICTION

  Description copied from class: `Options`
  Option for specifying that a search should be restricted to the specified FOLDER or FOLDERs. The value specifies the ID of the FOLDER or an array of IDs for multiple FOLDERs. The value may also be an absolute paths to a FOLDER or an array of multiple absolute paths.

  Name: OPT.FOLDER_RESTRICTION

  Data Type: Long or long[] or String or String[]

  See Also:
    Constant Field Values

### OVERWRITE

    public static final java.lang.String OVERWRITE

  Description copied from class: `Options`
  Conflict resolution option to specify overwrite.

  Name: OPT.OVERWRITE
  Data Type: Boolean

  See Also:
    Constant Field Values

### UNIQUENAME

    public static final java.lang.String UNIQUENAME

  Description copied from class: `Options`
  Conflict resolution option to specify create unique name.

  Name: OPT.UNIQUENAME
  Data Type: Boolean

  See Also:
    Constant Field Values

### NEWVERSION

    public static final java.lang.String NEWVERSION

  Description copied from class: `Options`
  Conflict resolution option to specify new version.

  Name: OPT.NEWVERSION
  Data Type: Boolean

  See Also:
    Constant Field Values

### OPERATION

    public static final java.lang.String OPERATION

  Description copied from class: `Options`
  Name of the previously performed operation while obtaining conflict resolution options.

  Name: OPT.OPERATION
  Data Type: String

  See Also:
    Constant Field Values

### REMOVE_NON_ALLOWED_CATEGORIES

    public static final java.lang.String REMOVE_NON_ALLOWED_CATEGORIES

  Deprecated. allowed categories are no longer enforced; option has no effect
  Description copied from class: `Options`
  Option to force removal of all non-allowed categories on copy/move/update. You can also use it on a createDocument operation if that operation would cause a new version to be created which might contain disallowed categories. You can combine this option with `CATEGORY_DEFINITION` to create new categories while removing disallowed ones.

  Name: OPT.REMOVE_NON_ALLOWED_CATEGORIES

  Data Type: Boolean

  See Also:
    Constant Field Values

### MULTILEVEL_FOLDER_RESTRICTION

    public static final java.lang.String MULTILEVEL_FOLDER_RESTRICTION

  Description copied from class: `Options`
  Option for whether a folder restricted search limits the search to just the specified folder (false), or the specfied folder and all sub-folders (true).

  Name: OPT.MULTILEVEL_FOLDER_RESTRICTION

  Data Type; Boolean

  See Also:
    Constant Field Values

### FOLDER_RESTRICT_TO_DOMAIN

    public static final java.lang.String FOLDER_RESTRICT_TO_DOMAIN

  Description copied from class: `Options`
  Option for whether the search should be folder restricted to the domain if no folder restriction is specified. Default is true, the search will be folder restricted to the domain if no folder restriction is specified.

  Name: OPT.FOLDER_RESTRICT_TO_DOMAIN

  Data Type: Boolean

  See Also:
    Constant Field Values

### SEARCH_LANGUAGE

    public static final java.lang.String SEARCH_LANGUAGE

  Description copied from class: `Options`
  The language used for parsing the content search criteria. The language is used when parsing words in the content search criteria. This is independent of the document language attribute and does not restrict the search based on the document language.

  Name: OPT.SEARCH_LANGUAGE

  Data Type: String

  See Also:
    Constant Field Values

### SEARCH_FOR_DOCUMENTS

    public static final java.lang.String SEARCH_FOR_DOCUMENTS

  Description copied from class: `Options`
  Option for whether documents and links should be returned by the search.

  Name: OPT.SEARCH_FOR_DOCUMENTS

  Data Type: Boolean

  See Also:
    Constant Field Values

### SEARCH_FOR_FOLDERS

    public static final java.lang.String SEARCH_FOR_FOLDERS

  Description copied from class: `Options`
  Option for whether folders should be returned by the search.

  Name: OPT.SEARCH_FOR_FOLDERS

  Data Type: Boolean

  See Also:
    Constant Field Values

### SEARCH_VERSION_HISTORY

    public static final java.lang.String SEARCH_VERSION_HISTORY

  Description copied from class: `Options`
  Option for whether previous document versions should be included in the search.

  Name: OPT.SEARCH_VERSION_HISTORY

  Data Type: Boolean

  See Also:
    Constant Field Values

### SEARCH_RECORDS

    public static final java.lang.String SEARCH_RECORDS

  Description copied from class: `Options`
  Option for whether the search is a search for records instead of documents.

  Name: OPT.SEARCH_RECORDS

  Data Type: Boolean

  See Also:
    Constant Field Values
  (Unpublished)

### SEARCH_RECORDS_CLASSNAME

    public static final java.lang.String SEARCH_RECORDS_CLASSNAME

  Description copied from class: `Options`
  Option for the record category classname for the type of records to search. May be null to search all record types.

  Name: OPT.SEARCH_RECORDS_CLASSNAME

  Data Type: String

  See Also:
    Constant Field Values
  (Unpublished)

### SEARCH_ARCHIVE_FOR_WORKSPACE

    public static final java.lang.String SEARCH_ARCHIVE_FOR_WORKSPACE

  Description copied from class: `Options`
  Option for a workspace name to restrict an archive search to files deleted from the specified workspace.

  Name: OPT.SEARCH_ARCHIVE_FOR_WORKSPACE

  Data Type: String

  See Also:
    Constant Field Values

### SEARCH_ARCHIVE_DELETED_RANGE

    public static final java.lang.String SEARCH_ARCHIVE_DELETED_RANGE

  Description copied from class: `Options`
  Option for a date range to restrict an archive search to files deleted during the specified date range. The date range is specified by an array of two dates, the begin date and the end date.

  Name: OPT.SEARCH_ARCHIVE_DELETED_RANGE

  Data Type: Date[2]

  See Also:
    Constant Field Values

### DATE_COMP_LEVEL

    public static final java.lang.String DATE_COMP_LEVEL

  Description copied from class: `Options`
  Specifies the precision used for date comparisons in date search criteria.

  Name: OPT.DATE_COMP_LEVEL
  Data Type: Integer

  See Also:
    Constant Field Values

### RETURN_FROM

    public static final java.lang.String RETURN_FROM

  Description copied from class: `Options`
  The index of the first item to be returned when the method can return multiple items. The index starts at 1 for the first result item. This option can be used in conjunction with the RETURN_COUNT option to obtain a subset of the result items.

  Name: OPT.RETURN_FROM
  Data Type: Integer

  See Also:
    Constant Field Values

### RETURN_COUNT

    public static final java.lang.String RETURN_COUNT

  Description copied from class: `Options`
  The maximum number of items to be returned when the method can return multiple items. This option can be used in conjunction with the RETURN_FROM option to obtain a subset of the result items.

  Name: OPT.RETURN_COUNT
  Data Type: Integer

  See Also:
    Constant Field Values

### SEARCH_PROPERTY_NAME

    public static final java.lang.String SEARCH_PROPERTY_NAME

  Description copied from class: `Options`
  The name of a search property. returned by SearchManager.getProperties()

  See Also:
    Constant Field Values
  Constant Field Value: SEARCH_PROPERTY_NAME
  Data Type: String

### SEARCH_PROPERTY_DISPLAY_NAME

    public static final java.lang.String SEARCH_PROPERTY_DISPLAY_NAME

  Description copied from class: `Options`
  The display name of a search property. returned by SearchManager.getProperties()

  See Also:
    Constant Field Values
  Constant Field Value: SEARCH_PROPERTY_DISPLAY_NAME
  Data Type: String

### SEARCH_PROPERTY_TYPE

    public static final java.lang.String SEARCH_PROPERTY_TYPE

  Description copied from class: `Options`
  The data type of a search property. The value is one of the contants FdkConstants.SEARCH_PROPERTY_TYPE_*. returned by SearchManager.getProperties()

  See Also:
    Constant Field Values
  Constant Field Value: SEARCH_PROPERTY_TYPE
  Data Type: String

### SEARCH_PROPERTY_SEARCHABLE

    public static final java.lang.String SEARCH_PROPERTY_SEARCHABLE

  Description copied from class: `Options`
  Whether the search property is searchable or not. returned by SearchManager.getProperties()

  See Also:
    Constant Field Values
  Constant Field Value: SEARCH_PROPERTY_SEARCHABLE
  Data Type: Boolean

### SEARCH_PROPERTY_SELECTABLE

    public static final java.lang.String SEARCH_PROPERTY_SELECTABLE

  Description copied from class: `Options`
  Whether the search property is selectable or not. returned by SearchManager.getProperties()

  See Also:
    Constant Field Values
  Constant Field Value: SEARCH_PROPERTY_SELECTABLE
  Data Type: Boolean

### SEARCH_PROPERTY_SORTABLE

    public static final java.lang.String SEARCH_PROPERTY_SORTABLE

  Description copied from class: `Options`
  Whether the search property is sortable or not. returned by SearchManager.getProperties()

  See Also:
    Constant Field Values
  Constant Field Value: SEARCH_PROPERTY_SORTABLE
  Data Type: Boolean

### SEARCH_PROPERTY_LOV

    public static final java.lang.String SEARCH_PROPERTY_LOV

  Description copied from class: `Options`
  List of values if the search property is enumerated. returned by SearchManager.getProperties()

  See Also:
    Constant Field Values
  Constant Field Value: SEARCH_PROPERTY_LOV
  Data Type: NamedValue[]

### SEARCH_RESULTS

    public static final java.lang.String SEARCH_RESULTS

  Description copied from class: `Options`
  Array of items representing the search results. returned by SearchManager.search()

  See Also:
    Constant Field Values
  Constant Field Value: SEARCH_RESULTS
  Data Type: Item[]

### SEARCH_TEXT_SCORES

    public static final java.lang.String SEARCH_TEXT_SCORES

  Description copied from class: `Options`
  Array of ints representing the text search result scores. returned by SearchManager.search()

  See Also:
    Constant Field Values
  Constant Field Value: SEARCH_TEXT_SCORES
  Data Type: int[]

### SEARCH_RESULT_COUNT

    public static final java.lang.String SEARCH_RESULT_COUNT

  Description copied from class: `Options`
  Estimate of total number of search results. returned by SearchManager.search()

  See Also:
    Constant Field Values
  Constant Field Value: SEARCH_RESULT_COUNT
  Data Type: Integer

### QUOTA_INCREMENT

    public static final java.lang.String QUOTA_INCREMENT

  Description copied from class: `Options`
  Increment in the storage quota that is requested.

  See Also:
    Constant Field Values
  Constant Field Value: QUOTA_INCREMENT
  Data Type: Long

### RESPONDER_COMMENT

    public static final java.lang.String RESPONDER_COMMENT

  Description copied from class: `Options`
  Responder's Comment while approving Workflow Requests.

  See Also:
    Constant Field Values
  Constant Field Value: RESPONDER_COMMENT
  Data Type: String

### DEFINITION_EXPIRATION_TIME

    public static final java.lang.String DEFINITION_EXPIRATION_TIME

  Description copied from class: `Options`
  Option for defining expiration time (in seconds) of document definition object.

  See Also:
    Constant Field Values
  Constant Field Value: DEFINITION_EXPIRATION_TIME
  Data Type: Long

### FILTER_BY_GUARD_SECURITY

    public static final java.lang.String FILTER_BY_GUARD_SECURITY

  Description copied from class: `Options`
  Option for filtering out FilePlan, RecordSeries, RecordFolder or RecordCategory based on the guard security.

  See Also:
    Constant Field Values
  (Unpublished)
  Constant Field Value: FILTER_BY_GUARD_SECURITY
  Data Type: BOOLEAN

### AUDIT_TYPE_ENTRY_ITEM_TYPE

    public static final java.lang.String AUDIT_TYPE_ENTRY_ITEM_TYPE

  Description copied from class: `Options`
  Option to specify the Item type used to filter the list of AuditTypeEntries returned by `AuditManager.getAuditTypeEntries()`.

  See Also:
    Constant Field Values
  Constant Field Value: AUDIT_TYPE_ENTRY_ITEM_TYPE
  Data Type: String

### AUDIT_TYPE_ENTRY_SUCCESS_MODE

    public static final java.lang.String AUDIT_TYPE_ENTRY_SUCCESS_MODE

  Description copied from class: `Options`
  Option used to specify the success mode used to filter the list of AuditTypeEntries returned by `AuditManager.getAuditTypeEntries()`.

  See Also:
    Constant Field Values
  Constant Field Value: AUDIT_TYPE_ENTRY_SUCCESS_MODE
  Data Type: Integer

### AUDIT_TYPE_ENTRY_INCLUDE_NESTED

    public static final java.lang.String AUDIT_TYPE_ENTRY_INCLUDE_NESTED

  Description copied from class: `Options`
  Option used to indicate that AuditTypeEntries for Item types that are nested under the Item type specified by the `AUDIT_TYPE_ENTRY_ITEM_TYPE` option should also be returned by `AuditManager.getAuditTypeEntries()`.

  See Also:
    Constant Field Values
  Constant Field Value: AUDIT_TYPE_ENTRY_INCLUDE_NESTED
  Data Type: Boolean

### AUDIT_TYPE_LIST_ID

    public static final java.lang.String AUDIT_TYPE_LIST_ID

  Description copied from class: `Options`
  Option that provides a existing audit type list id when fetching audit entry types.

  See Also:
    Constant Field Values
  Constant Field Value: AUDIT_TYPE_LIST_ID
  Data Type: Long

### AUDIT_TYPES

    public static final java.lang.String AUDIT_TYPES

  Description copied from class: `Options`
  An option describing the Audit Types.

  See Also:
    Constant Field Values
  Constant Field Value: AUDIT_TYPES
  Data Type: NamedValue[]

### IS_MEMBER_OF

    public static final java.lang.String IS_MEMBER_OF

  Description copied from class: `Options`
  An option describing groups that have the requesting user as a member.

  See Also:
    Constant Field Values
  Constant Field Value: IS_MEMBER_OF
  Data Type: Boolean

### IS_MANAGER_OF

    public static final java.lang.String IS_MANAGER_OF

  Description copied from class: `Options`
  An option describing groups that have the requesting user as a manager.

  See Also:
    Constant Field Values
  Constant Field Value: IS_MANAGER_OF
  Data Type: Boolean

### EVENT_FILTER_START_ID

    public static final java.lang.String EVENT_FILTER_START_ID

  Description copied from class: `Options`
  Event search option for the starting ID of an ID range.

  Note: A value of null is treated as "all IDs before end ID"; a null range is treated as "all IDs".

  See Also:
    Constant Field Values
  Constant Field Value: OPT.AUDIT_EVENT_FILTER_START_ID
  Data Type: Long

### EVENT_FILTER_END_ID

    public static final java.lang.String EVENT_FILTER_END_ID

  Description copied from class: `Options`
  Event search option for the ending ID of an ID range.

  Note: A value of null is treated as "all IDs after start ID"; a null range is treated as "all IDs".

  See Also:
    Constant Field Values
  Constant Field Value: OPT.AUDIT_EVENT_FILTER_END_ID
  Data Type: Long

### EVENT_FILTER_START_DATE

    public static final java.lang.String EVENT_FILTER_START_DATE

  Description copied from class: `Options`
  Event search option for the starting Date of a Date range.

  Note: A value of null is treated as "all Dates until end Date"; a null range is treated as "all Dates".

  See Also:
    Constant Field Values
  Constant Field Value: OPT.AUDIT_EVENT_FILTER_START_DATE
  Data Type: Date

### EVENT_FILTER_END_DATE

    public static final java.lang.String EVENT_FILTER_END_DATE

  Description copied from class: `Options`
  Event search option for the ending Date of a Date range.

  Note: A value of null is treated as "all Dates since start Date"; a null range is treated as "all IDs".

  See Also:
    Constant Field Values
  Constant Field Value: OPT.AUDIT_EVENT_FILTER_END_DATE
  Data Type: Date

### EVENT_FILTER_CREATORS

    public static final java.lang.String EVENT_FILTER_CREATORS

  Description copied from class: `Options`
  Event search option for the set of Creator IDs to include.

  Note: A value of null is treated as "all creators".

  See Also:
    Constant Field Values
  Constant Field Value: OPT.AUDIT_EVENT_FILTER_CREATORS
  Data Type: Long[]

### EVENT_FILTER_OPERATION_TYPES

    public static final java.lang.String EVENT_FILTER_OPERATION_TYPES

  Description copied from class: `Options`
  Event search option for the set of Operation Types to include.

  Note: A value of null is treated as "all operation types".

  See Also:
    Constant Field Values
  Constant Field Value: OPT.AUDIT_EVENT_FILTER_OPERATION_TYPES
  Data Type: String[]

### EVENT_FILTER_TARGETS

    public static final java.lang.String EVENT_FILTER_TARGETS

  Description copied from class: `Options`
  Event search option for the set of Target IDs to include.

  Note: A value of null is treated as "all target IDs".

  See Also:
    Constant Field Values
  Constant Field Value: OPT.AUDIT_EVENT_FILTER_TARGETS
  Data Type: Long[]

### EVENT_FILTER_SUCCESS

    public static final java.lang.String EVENT_FILTER_SUCCESS

  Description copied from class: `Options`
  AuditEvent search option for whether to include Events representing successful operations.

  Note: A value of null is treated as "both succeeded and failed operations". A value of true is treated as "only successful operations". A value of false is treated as "only failed operations".

  See Also:
    Constant Field Values
  Constant Field Value: OPT.AUDIT_EVENT_FILTER_SUCCESS
  Data Type: Boolean

### EVENT_FILTER_AUXILIARY_STRING

    public static final java.lang.String EVENT_FILTER_AUXILIARY_STRING

  Description copied from class: `Options`
  AuditEvent search option to restrict Events to those matching specified auxiliary string.

  Note: A value of null is treated as "any auxiliary string".

  See Also:
    Constant Field Values
  Constant Field Value: OPT.AUDIT_EVENT_FILTER_AUXILIARY_STRING
  Data Type: String

### EVENT_FILTER_AUXILIARY_NUMBER

    public static final java.lang.String EVENT_FILTER_AUXILIARY_NUMBER

  Description copied from class: `Options`
  AuditEvent search option to restrict Events to those matching specified auxiliary number.

  Note: A value of null is treated as "any auxiliary number".

  See Also:
    Constant Field Values
  Constant Field Value: OPT.AUDIT_EVENT_FILTER_AUXILIARY_NUMBER
  Data Type: Long

### EVENT_FILTER_APPLICATION_CONTEXT

    public static final java.lang.String EVENT_FILTER_APPLICATION_CONTEXT

  Description copied from class: `Options`
  AuditEvent search option to restrict Events to those matching specified application context.

  Note: A value of null is treated as "any auxiliary context".

  See Also:
    Constant Field Values
  Constant Field Value: OPT.AUDIT_EVENT_FILTER_APPLICATION_CONTEXT
  Data Type: String

### EVENT_FILTER_APPLICATION_USER

    public static final java.lang.String EVENT_FILTER_APPLICATION_USER

  Description copied from class: `Options`
  AuditEvent search option to restrict Events to those matching specified application user.

  Note: A value of null is treated as "any application user".

  See Also:
    Constant Field Values
  Constant Field Value: OPT.AUDIT_EVENT_FILTER_APPLICATION_USER
  Data Type: String

### EVENT_FILTER_RESULT_SIZE_LIMIT

    public static final java.lang.String EVENT_FILTER_RESULT_SIZE_LIMIT

  Description copied from class: `Options`
  Event search option specifying the size limit for the results of the query.

  Note: A value of null is treated as "no limit".

  See Also:
    Constant Field Values
  Constant Field Value: OPT.AUDIT_EVENT_FILTER_RESULT_SIZE_LIMIT
  Data Type: Integer

### AUDIT_EVENT_AGGREGATE_INNER_COLUMN_LIST

    public static final java.lang.String AUDIT_EVENT_AGGREGATE_INNER_COLUMN_LIST

  Description copied from class: `Options`
  Aggregate AuditEvent search option for the set of inner columns to select from, instead of simply selecting from the event table itself.

  Note: A value of null indicates that there is no inner select for the aggregate event column search.

  Name: OPT.AUDIT_EVENT_AGGREGATE_INNER_COLUMN_LIST
  Data Type: String[]

  See Also:
    Constant Field Values

### AUDIT_HISTORY_TYPE

    public static final java.lang.String AUDIT_HISTORY_TYPE

  Description copied from class: `Options`
  Event search option specifying the type of Audit History from which to search.

  Notes:

  - A value of null is treated as the default value: `FdkConstants.AUDIT_HISTORY_DOMAIN`
  - This option's value is an enumeration: `{FdkConstants.AUDIT_HISTORY_DOMAIN, FdkConstants.AUDIT_HISTORY_ITEM, FdkConstants.AUDIT_HISTORY_CUSTOM}`

  See Also:
    Constant Field Values
  Constant Field Value: OPT.AUDIT_SPECIFICATION_TYPE
  Data Type: Integer

### AUDIT_HISTORY_CUSTOM_ID

    public static final java.lang.String AUDIT_HISTORY_CUSTOM_ID

  Description copied from class: `Options`
  Event search option specifying the ID of the custom Audit History to search when the `AUDIT_HISTORY_TYPE` option is set to `FdkConstants.AUDIT_HISTORY_CUSTOM`.

  Notes:

  - A value of null is not allowed when searching from a custom Audit History.
  - This option is not required when searching from either the `FdkConstants.AUDIT_HISTORY_DOMAIN` Audit History or the `FdkConstants.AUDIT_HISTORY_ITEM` Audit History.

  See Also:
    Constant Field Values
  Constant Field Value: OPT.AUDIT_SPECIFICATION_CUSTOM_ID
  Data Type: Long

### AUDIT_HISTORY_ITEM_TARGET_ID

    public static final java.lang.String AUDIT_HISTORY_ITEM_TARGET_ID

  Description copied from class: `Options`
  Event search option specifying the ID of the target Item when searching from the Item Audit History; used when the `AUDIT_HISTORY_TYPE` option is set to `FdkConstants.AUDIT_HISTORY_ITEM`.

  Notes:

  - A value of null is not allowed when searching from the Item Audit History.
  - This option is not required when searching from either the `FdkConstants.AUDIT_HISTORY_DOMAIN` Audit History or a `FdkConstants.AUDIT_HISTORY_CUSTOM` Audit History.

  See Also:
    Constant Field Values
  Constant Field Value: OPT.AUDIT_SPECIFICATION_OBJECT_TARGET_ID
  Data Type: Long

### EVENT_AUXILIARY_ITEM_IDS

    public static final java.lang.String EVENT_AUXILIARY_ITEM_IDS

  Description copied from class: `Options`
  IDs of the auxiliary objects associated with the AuditEvent.

  See Also:
    Constant Field Values
  Constant Field Value: OPT.AUDIT_EVENT_AUXILIARY_ITEM_IDS
  Data Type: Long[]

### EVENT_AUXILIARY_STRING

    public static final java.lang.String EVENT_AUXILIARY_STRING

  Description copied from class: `Options`
  The auxiliary String associated with the AuditEvent.

  See Also:
    Constant Field Values
  Constant Field Value: OPT.AUDIT_EVENT_AUXILIARY_STRING
  Data Type: String

### EVENT_AUXILIARY_NUMBER

    public static final java.lang.String EVENT_AUXILIARY_NUMBER

  Description copied from class: `Options`
  The auxiliary Number associated with the AuditEvent.

  See Also:
    Constant Field Values
  Constant Field Value: OPT.AUDIT_EVENT_AUXILIARY_NUMBER
  Data Type: Long

### EVENT_PROPERTIES

    public static final java.lang.String EVENT_PROPERTIES

  Description copied from class: `Options`
  The properties associated with the AuditEvent.

  See Also:
    Constant Field Values
  Constant Field Value: OPT.AUDIT_EVENT_PROPERTIES
  Data Type: NamedValue[]

### SEARCH_STATEMENT_KEY

    public static final java.lang.String SEARCH_STATEMENT_KEY

  Description copied from class: `Options`
  The key used for caching of a prepared statement

  See Also:
    Constant Field Values
  Constant Field Value: OPT.SEARCH_STATEMENT_KEY
  Data Type: String

### SEARCH_DISTINCT

    public static final java.lang.String SEARCH_DISTINCT

  Description copied from class: `Options`
  The key used to indicate if a distinct search is required

  See Also:
    Constant Field Values
  Constant Field Value: OPT.SEARCH_DISTINCT
  Data Type: Boolean

### STARTING_ROW

    public static final java.lang.String STARTING_ROW

  Description copied from class: `Options`
  The starting row index.
  The value is 1-based, meaning that if the value is set to 50, the first 49 rows will be skipped. A value of zero or less is treated the same as a setting of 1, indicating that no rows are skipped.
  This property may be used in conjunction with the MAX_RESULTS property.

  See Also:
    Constant Field Values
  Constant Field Value: OPT.STARTING_ROW
  Data Type: Integer

### MAX_RESULTS

    public static final java.lang.String MAX_RESULTS

  Description copied from class: `Options`
  The maximum number of results to be returned. A value of 0 indicates unlimited/unbounded.

  if MAX_RESULTS = 10 and STARTING_ROW is not specified (or 0 / 1), then results from row 1 through 10 are returned (if located).
  if MAX_RESULTS = 10 and STARTING_ROW = 50, then results from row 50 through 59 are returned (if located).
  if MAX_RESULTS = 0 and STARTING_ROW = 50, then results from row 50 onwards are returned (if located).

  See Also:
    Constant Field Values
  Constant Field Value: OPT.MAX_RESULTS
  Data Type: Integer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD